/*
 * File:        appMain.c
 * Description: Contains the main functionality for the application
 */
 
#include <stdio.h>
#include <stdlib.h>

#include "appMain.h"
#include "appMenu.h"
#include "helpers.h"
#include "users.h"
#include "trips.h"

/* 
 * Function:    main
 * Description: Application entry method
 * Arguments:   ---
 * Returns:     0 always.
 */
int main(int argc, char **argv)
{
	// Initialize the first entry of the list
	users_firstUser = (tUser *)malloc(sizeof(tUser));
	users_initStruct(users_firstUser);

	trips_firstTrip = (tTrip *)malloc(sizeof(tTrip));
	trips_initStruct(trips_firstTrip);

	// Display the main application menu
	appMain_displayMainMenu();
	
	return 0;
}


/* 
 * Function:    appMain_displayMainMenu
 * Description: Displays the UOC Car Sharing App main menu
 * Arguments:   ---
 * Returns:     ---
 */
void appMain_displayMainMenu()
{
	///
	/// EX.3.1: Implement the main loop.
	///

	// Modify following line according to your implementation.
	appMenu_mainMenu();


	///
	/// END OF EX.3.1
	///
}


/* 
 * Function:    appMain_displayUserMenu
 * Description: Once the user has logged in, it displays the UOC Car Sharing App User menu
 * Arguments:   user: The registered user
 * Returns:     ---
 */
void appMain_displayUserMenu(tUser * user)
{
	///
	/// EX.5.1: Implement the user menu.
	///



	///
	/// END OF EX.5.1
	///
}